Uses of Interface
io.helidon.webclient.websocket.WsClient
Packages that use WsClient
Package
Description
Helidon WebClient WebSocket Support.
Helidon WebServer Testing JUnit 5 Support for WebSocket.
-
Uses of WsClient in io.helidon.webclient.websocket
Fields in io.helidon.webclient.websocket with type parameters of type WsClientModifier and TypeFieldDescriptionstatic final Protocol<WsClient, WsClientProtocolConfig> WsClient.PROTOCOLProtocol to use to obtain an instance of WebSocket specific client fromWebClient.client(io.helidon.webclient.spi.Protocol).Methods in io.helidon.webclient.websocket that return WsClientModifier and TypeMethodDescriptionWsClientConfig.Builder.build()WsClientConfig.BuilderBase.WsClientConfigImpl.build()abstract WsClientWsClientEndpointFactoryBase.client()The client used by this factory.static WsClientWsClient.create()Create a new instance with default configuration.static WsClientCreate a new WebSocket client from config.static WsClientWsClient.create(WsClientConfig clientConfig) Create a new WebSocket client with custom configuration.static WsClientWsClient.create(Consumer<WsClientConfig.Builder> consumer) Create a new WebSocket client customizing its configuration.WsClientConfig.BuilderBase.WsClientConfigImpl.get()WsProtocolProvider.protocol(WebClient client, WsClientProtocolConfig config) Methods in io.helidon.webclient.websocket with parameters of type WsClientModifier and TypeMethodDescriptionvoidConnect to the WebSocket endpoint using a custom client.protected abstract voidImplement this method to correctly type path parameters provided by a user.protected voidWsClientEndpointFactoryBase.doConnect(WsClient client, Map<String, String> pathParameters, Supplier<WsListener> listener) Connects using the provided client. -
Uses of WsClient in io.helidon.webserver.testing.junit5.websocket
Classes in io.helidon.webserver.testing.junit5.websocket that implement WsClientModifier and TypeClassDescriptionclassA client for WebSocket, that directly invokes routing (and bypasses network).